| Fast CDR Version 2.3.5 Fast CDR

Loading...
Searching...
No Matches
MemberId Class Reference

`#include <MemberId.hpp>`

## Public Member Functions

| MemberId ()=default
| MemberId (uint32_t id_value)
bool | operator== (uint32_t id_value) const
bool | operator== (const MemberId member_id) const
bool | operator!= (const MemberId member_id) const

## Public Attributes

uint32_t | id { member_id_invalid_value_ }
bool | must_understand { false }

## Constructor & Destructor Documentation

## ◆ MemberId() [1/2]

MemberId | ( |  | ) |

default

## ◆ MemberId() [2/2]

MemberId | ( | uint32_t | id_value | ) |

inline

## Member Function Documentation

## ◆ operator!=()

bool operator!= | ( | const MemberId | member_id | ) | const

inline

## ◆ operator==() [1/2]

bool operator== | ( | const MemberId | member_id | ) | const

inline

## ◆ operator==() [2/2]

bool operator== | ( | uint32_t | id_value | ) | const

inline

## Member Data Documentation

## ◆ id

uint32_t id { member_id_invalid_value_ }

## ◆ must_understand

bool must_understand { false }

The documentation for this class was generated from the following file:

- include/fastcdr/xcdr/MemberId.hpp